<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Casino extends Model 
{

    protected $table = 'casinos';
    public $timestamps = true;
    protected $fillable = array('name', 'slug', 'logo', 'website', 'established_year', 'rating_value', 'rating_count', 'published');

    public function languages()
    {
        return $this->belongsToMany('App\Models\Language', 'casino_content', 'casino_id', 'website_lang_id');
    }

    public function bonuses()
    {
        return $this->hasMany('App\Models\Bonus', 'casino_id');
    }

    public function providers()
    {
        return $this->belongsToMany('App\Models\Provider', 'provider_casinos', 'casino_id', 'provider_id');
    }

    public function userReviews()
    {
        return $this->belongsToMany('App\Models\User', 'casino_reviews', 'casino_id', 'user_id')->withPivot();
    }

    public function features()
    {
        return $this->belongsToMany('App\Models\Attributes', 'casino_attributes', 'casino_id', 'attribute_id')->where('type', \App\Models\Attributes::TYPE_FEATURE)->withPivot('is_primary);
    }

}