<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateBonusesTable extends Migration {

	public function up()
	{
		Schema::create('bonuses', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('casino_id')->unsigned()->index();
			$table->string('name', 50)->index();
			$table->string('slug', 30);
			$table->boolean('mobile_android')->index()->default(0);
			$table->boolean('mobile_ios')->index()->default(0);
			$table->string('code', 20)->nullable()->index();
			$table->integer('max_cashout')->nullable()->index();
			$table->integer('uses')->nullable()->index();
			$table->string('wagering', 20)->index();
			$table->string('success_rate', 20)->index();
			$table->boolean('verified')->index()->default(0);
			$table->boolean('exclusive')->index()->default(0);
			$table->boolean('requires_email')->index()->default(0);
			$table->boolean('published')->index()->default(0);
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('bonuses');
	}
}