<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateGamesTable extends Migration {

	public function up()
	{
		Schema::create('games', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('provider_id')->unsigned()->index();
			$table->string('name', 50)->index();
			$table->string('slug', 30)->index();
			$table->boolean('published')->index()->default(0);
			$table->tinyInteger('rating_value')->nullable()->index();
			$table->tinyInteger('rating_count')->nullable()->index();
			$table->string('link', 100)->index();
			$table->string('mobile_link', 100)->nullable()->index();
			$table->boolean('scatter_symbol')->index()->default(0);
			$table->boolean('autoplay')->index()->default(0);
			$table->boolean('progressive')->index()->default(0);
			$table->string('logo', 20)->index();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('games');
	}
}