<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateProvidersTable extends Migration {

	public function up()
	{
		Schema::create('providers', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('name', 50)->index();
			$table->string('slug', 30)->index();
			$table->integer('established_year')->unsigned()->index();
			$table->string('website', 50)->nullable()->index();
			$table->tinyInteger('rating_value')->nullable()->index();
			$table->tinyInteger('rating_count')->nullable()->index();
			$table->boolean('published')->index()->default(0);
			$table->string('logo', 20)->index();
		});
	}

	public function down()
	{
		Schema::drop('providers');
	}
}